-----------------------------------------------------------------------------
-- Stage 5-3
-----------------------------------------------------------------------------

function PostStage()
    
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");
      
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldHighGrounds\\HighGroundsCommon.ini", "Maps\\Stage5-3\\Stage5-3.ini","","");
    EntGame.CreatePlayerEntities();
    
    EntGame.SetGlobalDustColorInitial(.8, 0.65, .55, .45);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.65, .55, .45);

    EntGame.SetStageTimer(240);
    
    EntGame.LoadAnimal(AID_ELAND_F);
    EntGame.LoadAnimal(AID_ELAND_M);
    EntGame.LoadAnimal(AID_SABLE_M);
    EntGame.LoadAnimal(AID_SABLE_F);
    EntGame.LoadAnimal(AID_RHINO_M);	
    EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
    EntGame.LoadAnimal(AID_VULTURE_M);
    
 	StartupSequence("Music\\Moteff.ogg");
    
    end;

-----------------------------------------------------------------------------
function Part1()

	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.1);
	Camera.SetTiltOffset(entCamera, -10, .01);

	EntGame.SpawnAnimalOnPath(AID_SABLE_M, "BunnyPath1", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_SABLE_F, "BunnyPath1", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_SABLE_M, "BunnyPath1", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
	Script.WaitSec(.5);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M, "BunnyPath1", 0, ST_WPT_RUN, 0, -1, 0, 1); 
    Script.WaitSec(2);
    a=EntGame.SpawnAnimalOnPath(AID_SABLE_F, "BunnyPath3", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
    Animal.FaceEntity(a, entCamera);
    Script.WaitSec(1);
    a2=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "BunnyPath3", 0, ST_WPT_RUN, 0, -1, -1, .8);
    Animal.FaceEntity(a2, entCamera);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F, "BunnyPath2", 0, ST_WPT_RUN, 0, 2, -1, .7);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M, "BunnyPath2", 0, ST_WPT_RUN, 0, 1, -2, 1);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath4", 0, ST_WPT_RUN, 0, 2.5, 2, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath4", 0, ST_WPT_RUN, 0, -2, -2, .8);
    Script.WaitSec(2.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath4", 0, ST_WPT_RUN, 0, 3, 3, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath5", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_RHINO_M,  "BunnyPath6", 0, ST_WPT_RUN, 0, -1, 0, .3);
    Script.WaitSec(2);
    Rhino2=EntGame.SpawnAnimalOnPath(AID_RHINO_M,  "BunnyPath6", 0, ST_WPT_RUN, 0, 4.5, 0, .5);
    Animal.SetChargeWhenShot(Rhino2, true); 	
	Animal.SetAttackType(Rhino2, ATK_STATIC);
	Animal.SetAttackRepeat(Rhino2, 2);    
	Animal.SetPostAttackRand(Rhino2, false);
	Animal.SetPostAttackDir(Rhino2, 90);	
    Script.WaitSec(2.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "BunnyPath2", 0, ST_WPT_RUN, 0, 2, 0, 1);
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath1", 0, ST_WPT_RUN, 0, -1, 0, 1); 
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath2", 0, ST_WPT_RUN, 0, 2, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath3", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
    Script.WaitSec(2.5);
    a3=EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath3", 0, ST_WPT_RUN, 0, -1, 0, 1);
    Animal.FaceEntity(a3, entCamera);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "BunnyPath3", 0, ST_WPT_RUN, 0, 2, 1.5, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F,  "BunnyPath6", 0, ST_WPT_RUN, 0, 0, -1, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath6", 0, ST_WPT_RUN, 0, 2, 0, 1);
    Script.WaitSec(2.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath4", 0, ST_WPT_RUN, 0, 2, -1, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath5", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F,  "BunnyPath5", 0, ST_WPT_RUN, 0, 1, 0, .9);
    Script.WaitSec(4);
    
    Camera.SetTiltOffset(entCamera, 0, 1.5);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, -3.5, -.5, -3, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 2, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 4, .5, -4, 1.2);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 1.5, -2, 0, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath6", 0, ST_WPT_RUN, 0, 1.5, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, -3.5, -.5, -3, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 2, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 4, .5, -4, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath6", 0, ST_WPT_RUN, 0, 2, 0, 1);
    Script.WaitSec(2.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath7", 0, 1.5, -2, 0, 1.2);
    
    Script.WaitSec(3.0); --TIME TO BLAST WHATEVER LIVES.
    
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    Camera.SetSpeed(entCamera, 3.0, 0.001); 
    
    EntGame.ShowCaption(STR_LVL_5_3_A, 0, 1.5);
    Script.WaitSec(2.5);
    EntGame.ShowCaption(STR_LVL_5_3_B, 0, 2.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath8", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath8", 0, ST_WPT_RUN, 0, -2, -2, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath8", 0, ST_WPT_RUN, 0, 2.5, 2, .7);
    Script.WaitSec(3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath11", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath11", 0, 3.5, 2, -2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath11", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath11", 0, -4, -1, 0, 1.3);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath14", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath14", 0, ST_WPT_RUN, 0, 2.5, 2.5, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath14", 0, ST_WPT_RUN, 0, -2.5, -3, 1);
    Script.WaitSec(1.5);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 0, -1, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 4, .5, -4, 1.0);
    
    
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath8", 0, ST_WPT_RUN, 0, 1.5, 1.5, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath8", 0, ST_WPT_RUN, 0, -2, -2, 1);
    Script.WaitSec(2);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, -3.5, -.5, -3, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 2, 0, 0, 1.0);
    
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath9", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath10", 0, ST_WPT_RUN, 0, 2, 2, .7);
    Script.WaitSec(1.5);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 0, -1, 0, 1.0);
    Script.WaitSec(1);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 3.5, 2, -2, 1.2);
    
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath13", 0, ST_WPT_RUN, 0, 1, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath13", 0, ST_WPT_RUN, 0, 2.5, -2, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath13", 0, ST_WPT_RUN, 0, -2.5, -3, 1);
    Script.WaitSec(2.5);
     
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, 2, 4, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongerPath12", 0, -4, 0, 0, 1.3);
     
    Script.WaitSec(3.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath12", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath12", 0, ST_WPT_RUN, 0, 1.5, 1.5, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath12", 0, ST_WPT_RUN, 0, -3, -3, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F, "BunnyPath12", 0, ST_WPT_RUN, 0, 2.5, 2, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M, "BunnyPath12", 0, ST_WPT_RUN, 0, -1, 0, .9);
    
    Script.WaitSec(7.5); --Travel Time 
          	    		  
    end;    

-----------------------------------------------------------------------------

function Part2()
	
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath15", 0, ST_WPT_RUN, 0, 0, 1, .8);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath15", 0, ST_WPT_RUN, 0, 0, 2, .7);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath15", 0, ST_WPT_RUN, 0, 0, -2, 1);
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath15", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "BunnyPath16", 0, ST_WPT_RUN, 0, 0, -2, .8);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath16", 0, ST_WPT_RUN, 0, 1, 1, 1);
    EntGame.ShowCaption(STR_LVL_5_3_C, 0, 2.5);
    Script.WaitSec(2.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath17", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath18", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath18", 0, ST_WPT_FLY, 0,-1.3,4,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath17", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath18", 0, ST_WPT_FLY, 0,-1.3,4,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath17", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath17", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(5); --Travel Time 
          	    		  
    end;    

-----------------------------------------------------------------------------

function Part3()

	Camera.StopAtWaypoint(entCamera, "CamWptHH");
    Camera.SetSpeed(entCamera, 3.0, 0.1);
    
    Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath19", 0, ST_WPT_FLY, 0,0,0,1.0);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath19", 0, ST_WPT_FLY, 0,0,0,1.0);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath19", 0, ST_WPT_FLY, 0,0,0,1.0);
	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath20", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F,   "BunnyPath20", 0, ST_WPT_RUN, 0, 1, 2, .7);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath20", 0, ST_WPT_RUN, 0, 0, 1, 1);
    Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath19", 0, ST_WPT_FLY, 0,0,0,1.0);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath19", 0, ST_WPT_FLY, 0,0,0,1.0);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath19", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(4.5);
    b = EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath21", 0, ST_WPT_RUN, 0, 0, 1, 1);
    Animal.FaceEntity(b, entCamera);
    a = EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath21", 0, ST_WPT_RUN, 0, 0, 2, .7);
	Animal.FaceEntity(a, entCamera);
	
    Script.WaitSec(5); --Travel Time 
    
    end;    

-----------------------------------------------------------------------------

function Part4()

	--HH
    
    Camera.StopAtWaypoint(entCamera, "CamWptJJ");
    Camera.SetSpeed(entCamera, 3.0, 0.1);
    
    Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "BunnyPath22", 0, ST_WPT_RUN, 0, -1, 1, .9);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath22", 0, ST_WPT_RUN, 0, 0, -1, 1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 2, .7);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath22", 0, ST_WPT_RUN, 0, 1.5, -2, 1);
    Script.WaitSec(2.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath23", 0, ST_WPT_RUN, 0, 0, -1, 1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 2, .9);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "BunnyPath23", 0, ST_WPT_RUN, 0, 0, -2, .9);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath24", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath24", 0, 3.5, 2, -2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath24", 0, -4, -1, 0, 1.3);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath24", 0, 0, 0, 0, 1.2);
    Script.WaitSec(7);
    EntGame.ShowCaption(STR_LVL_5_3_D, 0, 2.5);
    Script.WaitSec(4);
    EntGame.ShowCaption(STR_LVL_5_3_E, 0, 2.5);
    
    
                 	    		  
    end;    

-----------------------------------------------------------------------------

function Part5()

	--JJ
	
	Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath25", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath26", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath25", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath26", 0, ST_WPT_FLY, 0,0,0,1.0);
    
    Script.WaitSec(5); 
    
    Camera.StopAtWaypoint(entCamera, "CamWptLL");
    Camera.SetSpeed(entCamera, 3.0, 0.1);
    
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath27", 0, ST_WPT_RUN, 0, 0, 1, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath27", 0, ST_WPT_RUN, 0, -2, 1, .9);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath27", 0, ST_WPT_RUN, 0, 1, 2, .7);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath28", 0, ST_WPT_RUN, 0, 1, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath28", 0, ST_WPT_RUN, 0, 0, 0, .9);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath28", 0, ST_WPT_RUN, 0, -2.5, -3, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath28", 0, ST_WPT_RUN, 0, -2, -2, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,   "BunnyPath29", 0, ST_WPT_RUN, 0, -1, 1, .9);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath29", 0, ST_WPT_RUN, 0, 0, -1, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath29", 0, ST_WPT_RUN, 0, 0, 2, .7);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath29", 0, ST_WPT_RUN, 0, -1, 1, .7);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath29", 0, ST_WPT_RUN, 0, 0, -1, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath30", 0, ST_WPT_RUN, 0, 1, 1, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 3.5, 2, -2, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, -4, -1, 0, 1.3);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 3.5, 2, -2, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, -4, -1, 0, 1.3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 3.5, 2, -2, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath33", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath33", 0, ST_WPT_RUN, 0, 1.5, 1.5, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath33", 0, ST_WPT_RUN, 0, 2.5, 2, .7);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath33", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath33", 0, ST_WPT_RUN, 0, -1, -2, .8);
    Script.WaitSec(3);
    Rhino3=EntGame.SpawnAnimalOnPath(AID_RHINO_M,   "BunnyPath34", 0, ST_WPT_RUN, 0, 2, 0, 1);
    Animal.SetAttackType(Rhino3, ATK_STATIC);
    Animal.SetAutoChargeDist(Rhino3, 5);     
    Animal.SetAttackRepeat(Rhino3, 2); 
    Animal.SetPostAttackRand(Rhino3, false);
	Animal.SetPostAttackDir(Rhino3, 90);	
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_RHINO_M,   "BunnyPath35", 0, ST_WPT_RUN, 0, 4.5, 0, 1);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath36", 0, ST_WPT_RUN, 0, 1, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath36", 0, ST_WPT_RUN, 0, 0, 0, .9);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath36", 0, ST_WPT_RUN, 0, -2.5, -3, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath36", 0, ST_WPT_RUN, 0, -2, -2, 1);
    Script.WaitSec(4.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,   "BunnyPath37", 0, ST_WPT_RUN, 0, -1, 1, .9);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath37", 0, ST_WPT_RUN, 0, 0, -1, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath37", 0, ST_WPT_RUN, 0, 0, 2, .7);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,   "BunnyPath37", 0, ST_WPT_RUN, 0, 0, -1, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,   "BunnyPath37", 0, ST_WPT_RUN, 0, 0, 2, .9);
    Script.WaitSec(3.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, 1.5, 1.5, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, -2, -2, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, 2.5, 2, .7);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, -1, -2, .8);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, 2.5, 2, .7);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, 2, 0, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,   "BunnyPath38", 0, ST_WPT_RUN, 0, -1, -2, .7);
  
    Script.WaitSec(3); --Travel Time 
      		  
    end;    

-----------------------------------------------------------------------------

function Part6()
	
	--Camera.JumpToWaypoint(entCamera, "CamWptLL");
    --Camera.SetSpeed(entCamera, 0.0, 0.1);
    
	--LL
	
	Script.WaitSec(1);
    EntGame.ShowCaption(STR_LVL_5_3_F, 0, 2.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 3.5, 2, -2, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, -4, -1, 0, 1.3);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath31", 0, 0, 0, 0, 1.2);
	
    Camera.SetSpeed(entCamera, 3.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptNN");
	
	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath39", 0, ST_WPT_RUN, 0, 1, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F,  "BunnyPath39", 0, ST_WPT_RUN, 0, 3, 3, .7);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath39", 0, ST_WPT_RUN, 0, -2.5, -3, .7);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath39", 0, ST_WPT_RUN, 0, 1.5, 1.5, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "BunnyPath39", 0, ST_WPT_RUN, 0, -2, -2, .7);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath40", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath40", 0, ST_WPT_FLY, 0,-1.3,4,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath40", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,-1.3,4,1.0);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 0, 3, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,0,0,1.0);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,-1.3,2,1.0);
    EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "BunnyPath40", 0, ST_WPT_FLY, 0,0,0,1.0);
	
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,-1.3,4,1.0);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,0,0,1);
    
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 0, -1.5, 0, 1.0);
    
    Script.WaitSec(1);
    
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,-1.3,4,1.0);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,0,0,1);
    
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 0, -3, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 2, 0, 2, 1.0);
    
    Script.WaitSec(1);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 0, -3, 0, 1.0);
    
    Script.WaitSec(1.5);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 0, -2, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 2, -1.5, 2, 1.0);
    
	Script.WaitSec(1.7); 
	
	Camera.SetSpeed(entCamera, 0, 0.1);
	
	Script.WaitSec(.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 3.5, 2, -2, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, -4, -1, 0, 1.3);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 3.5, 2, -2, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, -4, -1, 0, 1.3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 3.5, 2, -2, 1.2);
    
	Camera.SetPanOffset(entCamera, -70, 1.5);
	
	Script.WaitSec(.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 3.5, 2, -2, 1.2);
    EntGame.SpawnAnimalOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, ST_WPT_FLY, 0,0,0,1);
    Script.WaitSec(2.5);
    
	Camera.SetPanOffset(entCamera, -15, 1.5);
	Camera.SetTiltOffset(entCamera, -90, 1.5);
	Script.WaitSec(.75); 
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, 2, -2, 2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath41", 0, -4, -1, 0, 1.3);
    
	Camera.SetPanOffset(entCamera, 15, 1.5);
	Script.WaitSec(.75);
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath42", 0, 0, -1.5, 0, 1.0);
    
	Camera.SetPanOffset(entCamera, 100, 1.5);
	Camera.SetTiltOffset(entCamera, -20, 1.5);
	Script.WaitSec(5.0);
	 
    Script.WaitSec(2.5);
	
	Camera.SetPanOffset(entCamera, 10, 1.5);
	Camera.SetSpeed(entCamera,3, 0.1);
    Camera.SetTiltOffset(entCamera, 0, 1.5);
	
    EntGame.SpawnAnimalOnPath(AID_RHINO_M,  "BunnyPath43", 2, ST_WPT_WALK, 0, 0, 0, 1);
        
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, 0, -3, 0, 1.0);
	Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, 2, 0, 2, 1.0);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, -1.5, 2, -2, 1.0);
    Script.WaitSec(1); 
    
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "LongPath5", 0, ST_WPT_RUN, 0, 1, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "LongPath5", 0, ST_WPT_RUN, 0, 3, 3, .7);
    
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_ELAND_F,  "LongPath5", 0, ST_WPT_RUN, 0, 1, 0, 1);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "LongPath5", 0, ST_WPT_RUN, 0, 3, 3, .7);
    Script.WaitSec(1.5); 
    	
    end;   
     
-----------------------------------------------------------------------------

function Part7()    
    
	--Camera.JumpToWaypoint(entCamera, "CamWptNN");
    --Camera.SetSpeed(entCamera, 0.0, 0.1);
    
    Camera.SetTiltOffset(entCamera, -5, 3.0);
    Camera.SetPanOffset(entCamera, 13, 3.0);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, 0, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 1.5, 0, 1.0);
   	 
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "LongPath6", 0, ST_WPT_RUN, 0, 0, 0, .8);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "LongPath6", 0, ST_WPT_RUN, 0, 2, 0, .7);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, 0, 0, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "LongPath6", 0, ST_WPT_RUN, 0, -3, 0, .6);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath4", 0, -3, 1, 0, 1.0);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);
   	 
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "LongPath6", 0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -3, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "LongPath6", 0, ST_WPT_RUN, 0, 2, 0, .4);
    
	Script.WaitSec(1.5);
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, 0, 0, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, -3, 1.5, 0, 1.0);
   	 
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "LongPath3", 0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, 0, -2, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_F,  "LongPath3", 0, ST_WPT_RUN, 0, 2, 0, .5);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, 0, 0, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_SABLE_F,  "LongPath6", 0, ST_WPT_RUN, 0, -3, 0, .5);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, -3, 1, 0, 1.0);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_SABLE_M,  "LongPath3", 0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -3, 0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_ELAND_M,  "LongPath3", 0, ST_WPT_RUN, 0, 2, 0, .5); 
    
    Rhino3=EntGame.SpawnAnimalOnPath(AID_RHINO_M,  "LongPath6", 0, ST_WPT_RUN, 0, 0, 0, 1);
   	Animal.SetChargeWhenShot(Rhino3, true);
    Animal.SetAttackType(Rhino3, ATK_STATIC);
    Animal.SetAutoChargeDist(Rhino3, 5);     
    Animal.SetAttackRepeat(Rhino3, 1); 
    Animal.SetPostAttackRand(Rhino3, false);
	Animal.SetPostAttackDir(Rhino3, 90);
	   
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);   
	Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);    
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath6", 0, -3, 0, 0, 1.0);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath1", 0, 0, -2.5, 0, 1.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath2", 0, -3, 0, 0, 1.0);   
	
    end; 
    
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1();
Part2();
Part3();
Part4();
Part5(); 
Part6();
Part7();  